%bcond_without imagemagick
%bcond_without sdl

Summary: A Linux video stream processing utility
Name: transcode
Version: 1.1.5
Release: 46%{?dist}
License: GPL
Group: Applications/Multimedia
Source0: http://download.berlios.de/tcforge/transcode-%{version}.tar.bz2
#Source0: http://fromani.exit1.org/%{name}-%{version}.tar.bz2
#Patch0: http://sources.gentoo.org/viewcvs.py/*checkout*/gentoo-x86/media-video/transcode/files/transcode-1.0.2-lzo2.patch
#Patch1: transcode-1.0.5-nuv.patch
#Patch2: transcode-1.0.6-imagemagick.patch
URL: http://www.transcoding.org/
BuildRoot: %{_tmppath}/%{name}-root
#BuildRequires: autoconf, libtool
#BuildRequires: libtool-ltdl-devel
BuildRequires: gcc-c++
BuildRequires: ffmpeg-devel >= 0.4.9
#BuildRequires: libpostproc-devel
BuildRequires: libmpeg2-devel
#BuildRequires: divx4linux-devel
BuildRequires: xvidcore-devel
BuildRequires: freetype-devel >= 2.0
#BuildRequires: avifile-devel >= 0.7.25
BuildRequires: lame-devel >= 3.89
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: libtheora-devel
BuildRequires: libdvdread-devel
BuildRequires: libdv-devel
BuildRequires: libquicktime-devel >= 0.9.8
#BuildRequires: openquicktime-devel
BuildRequires: lzo-devel >= 2
BuildRequires: a52dec-devel >= 0.7.3
BuildRequires: libmpeg3-devel
BuildRequires: libxml2-devel
BuildRequires: mjpegtools-devel
%{?with_sdl:BuildRequires: SDL-devel}
BuildRequires: libXv-devel, libjpeg-devel, libpng-devel
BuildRequires: libXaw-devel, libXpm-devel
BuildRequires: /usr/bin/gtk-config
BuildRequires: libfame-devel
%{?with_imagemagick:BuildRequires: ImageMagick-devel >= 5.4.3}
BuildRequires: libexif-devel, libtiff-devel, bzip2-devel

#BuildRequires: glib-devel
BuildRequires: zlib-devel
#BuildRequires: nasm
BuildRequires: alsa-lib-devel

%description
Transcode is a linux text-console utility for video stream processing.
Decoding and encoding is done by loading modules that are responsible for
feeding transcode with raw video/audio streams (import modules) and
encoding the frames (export modules). It supports elementary video and
audio frame transformations, including de-interlacing or fast resizing of
video frames and loading of external filters.

%prep
%setup -q
perl -pi -e's,LIBS_XV = -lXv,LIBS_XV = -L%{_x_libraries} -lXv,' filter/preview/Makefile*
#patch0 -p1
#patch1 -p1 -b .nuv
#patch2 -p1
if ! test -f %{_includedir}/dvdread/dvd_reader.h; then
  if test -f	%{_includedir}/libdvdread/dvd_reader.h; then
    grep -rl dvdread/ . |\
    xargs echo perl -pi -e's,dvdread/,libdvdread/,' |\
    sh -x
  fi
fi

%build
#autoreconf
#gcc_ver=`gcc --version | head -1 | awk '{print $3}'`
#if expr $gcc_ver >= 3.4.0; then
#  CFLAGS="%{optflags} -fno-unit-at-a-time"
#  export CFLAGS
#fi
#IMAGEMAGICK_EXTRA_LIBS=`Magick-config --ldflags`
#export IMAGEMAGICK_EXTRA_LIBS
%configure --disable-static --disable-dependency-tracking \
	--enable-deprecated \
	--enable-ffmpeg \
	--enable-libavcodec \
	--enable-libavformat \
	--enable-libmpeg2 \
	--enable-statbuffer \
	--enable-v4l \
	--enable-alsa \
	--enable-libpostproc \
	--enable-freetype2 \
	--enable-lame \
	--enable-xvid \
	--enable-x264 \
	--enable-ogg \
	--enable-vorbis \
	--enable-theora \
	--enable-libdvdread \
	--enable-libdv \
	--enable-libquicktime \
	--enable-lzo --with-lzo-includes=%{_includedir}/lzo \
	--enable-a52 \
	--enable-libxml2 \
	--enable-mjpegtools \
	%{?with_sdl:--enable-sdl} \
	%{?with_imagemagick:--enable-imagemagick} \
	--enable-libjpeg \
	--enable-iconv \
	--enable-nuv \
	\
	--with-x \
	--with-mod-path=%{_libdir}/transcode \
	--enable-libmpeg2convert

make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
perl -pi -e's,%{buildroot},,g' %{buildroot}%{_libdir}/transcode/*.la
mv %{buildroot}%{_docdir}/transcode installed-docs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO installed-docs
%{_bindir}/*
%{_libdir}/transcode
%{_mandir}/man1/*.1*

%changelog
* Tue May 29 2012 Jeremiah Yongue <jeremiah@fuduntu.org> - 1.1.5-46
- Rebuilt for Fuduntu.

* Sat Mar 20 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.5-45
- Update to 1.1.5.

* Mon Aug 24 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.4-44
- Update to 1.1.4.

* Sun Mar 29 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.2-41
- Update to 1.1.2.

* Sun Mar  1 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.1-40
- Update to 1.1.1.

* Sun Jan 18 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.0-39
- Update to 1.1.0.

* Sun Nov 16 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.7-38
- Update to 1.0.7.

* Sun Jul 27 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.6-35
- Update to 1.0.6.

* Wed Jun 18 2008 Paulo Roma <roma@lcg.ufrj.br> - 1.0.5-34
- Patched for nuv on x86.

* Sat Jun 14 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.5-33.2.0.1
- Fix not utf-8	specfile entries.

* Thu Jan 10 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.5-33
- Update to 1.0.5.

* Sun Oct 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.4-32
- Update to 1.0.4.

* Mon Apr 16 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.3-30
- Update to 1.0.3.
- Remove ffmpeg patch (applied upstream).

* Tue Apr 18 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Disable xio.

* Fri Dec  9 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.2.

* Thu Oct  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.1.

* Tue Jul 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0.

* Tue Nov 23 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.14.

* Thu May 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Make xvid4 the default xvid mode (ender <ender2003@free.fr>).

* Tue Apr 13 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.12.

* Thu Oct 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.6.10.

* Fri Aug  8 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.9.

* Tue Jul  8 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.8.

* Thu Jul  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.7.
- Removed obsolete lame patch.

* Fri May 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added aud_aux-lame-enoding-error-1.patch to fix lame encoding problems.

* Wed May 21 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.6.
- Removed the snapshot macro stuff, as future releases won't need it.
- Added "--without text" option for the new freetype2 support.

* Sat May 10 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5.20030510.

* Fri May  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.4 final.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.4.20030409.
- Change mplayer dep to libpostproc.
- Re-enabled ImageMagick support by default, as it's fixed in RHL9.
- Removed obsoleted ffmpeg & xvid fix.
- Added libquicktime support and explicit xvidcore.
- Enable lzo by default.

* Sat Apr  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Exclude .la files.
- Added fix for xvid and ffmpeg export modules, thanks to Dag Wieers.
- Strip all libs by default.
- Add ffmpeg requirement.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Tue Mar 25 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.4.20030325 in order to fix ppc build.

* Tue Feb 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added lzo support, thanks to José Romildo Malaquias.

* Sun Feb 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild against new libdvdread.

* Fri Jan 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.3 final.

* Tue Jan 28 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.3.20030123 snapshot.

* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix the avifile dependency (disabled by default).

* Tue Dec 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added mjpegtools.

* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.2 final.

* Sun Nov 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to latest snapshot, 20021114.
- Rebuilt to use mplayer's libpostproc.
- Added libfame support.

* Sun Oct  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- Added --with and --without build options.

* Mon Sep 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.1.

* Mon Aug 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added nasm dependency.

* Fri Aug  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0 final!

* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0rc4... doesn't compile :-(
- Added libdv, libogg and libvorbis dependencies.

* Fri Jun 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0rc1.
- Spec file updates and fixes.

* Mon Dec 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.3.

* Sun Dec  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1.

* Sun Nov 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Major spec file cleanup.

* Wed Jul 11 2001 Thomas Östreich
- update to transcode v0.3.3
- small changes suggested by VM

* Tue Jul 10 2001 Thomas Östreich
- update to transcode v0.3.2
- added pkgdir in install section

* Tue Jul 10 2001 Volker Moell <moell@gmx.de>
- Wrote this specfile; first build

